Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035363
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2017-02-27 11:502017-07-17 21:49
ReporterguilleaerView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision984a6d295729
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035363: Product characteristics and product characteritics values are not taking into account upc/ean field

DescriptionReproducible using remote (check using standard mode)

Using product characteristics there is a feature which filter the valid characteristics and characteristic values for a subset of products (previously filtered).
The filter used to retrieve products is taking into account the value of the field name and the value of the field UPC/EAN but then, the other filters (for characteristic and characteristic values) are just taking into account the name
Steps To ReproduceHaving a set of product which for example has the substring "14141" in their barcode and they have some characteristics associated marked as filter in webpos.
Go to search tab
write 1414 in the input
Expected products are shown.
No buttons about characteristics are shown but some should be shown because they are associated to a product.
Proposed SolutionInclude the filter for upc / ean in the rest of the queries
TagsNo tags attached.
Attached Filesdiff file icon issue_35363_bestsellers.diff [^] (2,669 bytes) 2017-02-27 12:22 [Show Content]
diff file icon tempFixQueryCharacteristics_final.diff [^] (3,538 bytes) 2017-02-27 12:22 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098107)
hgbot (developer)
2017-07-17 21:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 141fa304ed97934fe2a8749ef0933aa43e354332
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu Mar 09 11:39:25 2017 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/141fa304ed97934fe2a8749ef0933aa43e354332 [^]

Fixed issue 35363: Product characteristics and product characteritics values are
not taking into account upc/ean field

UPC/EAN was include in the rest of the queries

---
M src/org/openbravo/retail/posterminal/PCharacteristicHQLCriteria.java
M src/org/openbravo/retail/posterminal/ProductCharacteristicHQLCriteria.java
---
(0098108)
hgbot (developer)
2017-07-17 21:49

Repository: erp/pmods/org.openbravo.retail.bestsellers
Changeset: 984a6d295729177f66eb84063462d3990e3fb2a4
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu Mar 09 13:16:10 2017 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/984a6d295729177f66eb84063462d3990e3fb2a4 [^]

Fixed issue 35363: Product characteristics and product characteritics values are
not taking into account upc/ean field

UPC/EAN was include in the rest of the queries

---
M src/org/openbravo/retail/bestsellers/PCharacteristicBestSellerHQLCriteria.java
M src/org/openbravo/retail/bestsellers/PCharacteristicValueBestSellerHQLCriteria.java
---

- Issue History
Date Modified Username Field Change
2017-02-27 11:50 guilleaer New Issue
2017-02-27 11:50 guilleaer Assigned To => Retail
2017-02-27 11:50 guilleaer Triggers an Emergency Pack => No
2017-02-27 12:22 guilleaer File Added: issue_35363_bestsellers.diff
2017-02-27 12:22 guilleaer File Added: tempFixQueryCharacteristics_final.diff
2017-03-01 17:13 rqueralta Assigned To Retail => rqueralta
2017-03-01 17:13 rqueralta Status new => scheduled
2017-07-17 21:47 hgbot Checkin
2017-07-17 21:47 hgbot Note Added: 0098107
2017-07-17 21:47 hgbot Status scheduled => resolved
2017-07-17 21:47 hgbot Resolution open => fixed
2017-07-17 21:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/141fa304ed97934fe2a8749ef0933aa43e354332 [^]
2017-07-17 21:49 hgbot Checkin
2017-07-17 21:49 hgbot Note Added: 0098108
2017-07-17 21:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/141fa304ed97934fe2a8749ef0933aa43e354332 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/984a6d295729177f66eb84063462d3990e3fb2a4 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker